
  <!DOCTYPE html>
  <html>
    <head>
      <title>useFieldsSpec.ts</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/pages/additional-confirugation/hooks/useFieldsSpec.ts</td><td class="">98.61%</td><td class="">80%</td><td class="">72</td><td class="">71</td><td class="">1</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import { useFeeds } from &#x27;./useFeeds&#x27;;
import { useMetabolites } from &#x27;./useMetabolites&#x27;;
import { FieldSpec } from &#x27;../../project-settings/components/FormContext&#x27;;
import { useMemo } from &#x27;react&#x27;;
import { useInputs } from &#x27;./useInputs&#x27;;

export const useFieldsSpec = () =&gt; {
  const feeds = useFeeds();
  const metabolites = useMetabolites();
  const inputs = useInputs();
  return useMemo(() =&gt; {
    console.log(&#x27;&gt;&gt;&gt; useFieldsSpec&#x27;);
    const spec: FieldSpec[] = [];
    feeds.forEach((feed) =&gt;
      metabolites.forEach((metabolite) =&gt; {
        spec.push({
          name: `${feed.id}___${feed.name}___${metabolite.value}___feed`,
          type: &#x27;float&#x27;,
          min: 0,
          max: 1e6
        });
      })
    );
    inputs.forEach((input) =&gt; {
      if ((input.type as any) === &#x27;Quadratic factor&#x27;) {
        spec.push({
          name: `${input.id}___input___target`,
          type: &#x27;float&#x27;,
          min: 0,
          max: 1e8,
          required: false
        });
      }
      spec.push({
        name: `${input.id}___input___low`,
        type: &#x27;float&#x27;,
        min: 0,
        max: 1e8,
        required: false
      });
      spec.push({
        name: `${input.id}___input___high`,
        type: &#x27;float&#x27;,
        min: 0,
        max: 1e8,
        required: false
      });
    });
    return spec;
  }, [feeds, inputs, metabolites]);
};
</textarea><pre id="annotations" style="display:none">[{&quot;file&quot;:&quot;src/pages/additional-confirugation/hooks/useFieldsSpec.ts&quot;,&quot;line&quot;:24,&quot;character&quot;:11,&quot;text&quot;:&quot;input.type as any&quot;,&quot;kind&quot;:3}]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  